
Database {
    Provider MySql
    Host 127.0.0.1
    Name ntpa
    User ntpau
    Pass "password"
}

Listener {
    IP 127.0.0.1
    Port 9074
}

Log {
    File /var/log/ntpa/ntpa.graph.log
}

Server {
    HostID 1
    HostAddress ntp1.example.net
    FilePath "/usr/local/www/"
    
    HostGraph offset24 {
        Frequency 10
        InitialRun Yes
        Title "ntp1.example.net 24 hours offset"
        Timespan 1
        Offset 1
        
        Destinations {
            File ntp1.example.net/ntpgraphs/ntp1-h24-offset.png
            File example.net/graphs/ntp1/ntp1-h24-offset.png
        }
        
        Links {
            Link ntpgraphs/ntp1-h24-offset.png
            Link graphs/ntp1/ntp1-h24-offset.png
        }
    }
    
    HostGraph offset72 {
        Frequency 30
        InitialRun Yes
        Title "ntp1.example.net 72 hours offset"
        Timespan 3
        Offset 1000
        
        Destinations {
            File ntp1.example.net/ntpgraphs/ntp1-h72-offset.png
            File example.net/graphs/ntp1/ntp1-h72-offset.png
        }
        
        Links {
            Link ntpgraphs/ntp1-h72-offset.png
            Link graphs/ntp1/ntp1-h72-offset.png
        }
    }
    
    HostGraph offset1 {
        Frequency 15
        InitialRun Yes
        Title "ntp1.example.net (1 day)"
        Timespan 1
        Jitter 1000
        Offset 1000
        GFrequency 1
        
        Destinations {
            File ntp1.example.net/ntpgraphs/ntp1-1.png
            File example.net/graphs/ntp1/ntp1-1.png
        }
        
        Links {
            Link ntpgraphs/ntp1-1.png
            Link graphs/ntp1/ntp1-1.png
        }
    }
    
    HostGraph offset3 {
        Frequency 30
        InitialRun Yes
        Title "ntp1.example.net (3 days)"
        Timespan 3
        Jitter 1000
        Offset 1000
        GFrequency 1
        
        Destinations {
            File ntp1.example.net/ntpgraphs/ntp1-3.png
            File example.net/graphs/ntp1/ntp1-3.png
        }
        
        Links {
            Link ntpgraphs/ntp1-3.png
            Link graphs/ntp1/ntp1-3.png
        }
    }
    
    HostGraph offset15 {
        Frequency 45
        InitialRun Yes
        Title "ntp1.example.net (15 days)"
        Timespan 15
        Jitter 1000
        Offset 1000
        GFrequency 1
        
        Destinations {
            File ntp1.example.net/ntpgraphs/ntp1-15.png
            File example.net/graphs/ntp1/ntp1-15.png
        }
        
        Links {
            Link ntpgraphs/ntp1-15.png
            Link graphs/ntp1/ntp1-15.png
        }
    }
    
    HostGraph offset1f {
        Frequency 15
        InitialRun Yes
        Title "ntp1.example.net (1 day), avg < x4"
        Timespan 1
        Jitter 1000
        Offset 1000
        GFrequency 1
        FilterFactor 4
        
        Destinations {
            File ntp1.example.net/ntpgraphs/ntp1-1f.png
            File example.net/graphs/ntp1/ntp1-1f.png
        }
        
        Links {
            Link ntpgraphs/ntp1-1f.png
            Link graphs/ntp1/ntp1-1f.png
        }
    }
    
    HostGraph offset3f {
        Frequency 30
        InitialRun Yes
        Title "ntp1.example.net (3 days), avg < x4"
        Timespan 3
        Jitter 1000
        Offset 1000
        GFrequency 1
        FilterFactor 4
        
        Destinations {
            File ntp1.example.net/ntpgraphs/ntp1-3f.png
            File example.net/graphs/ntp1/ntp1-3f.png
        }
        
        Links {
            Link ntpgraphs/ntp1-3f.png
            Link graphs/ntp1/ntp1-3f.png
        }
    }
    
    HostGraph offset15f {
        Frequency 45
        InitialRun Yes
        Title "ntp1.example.net (15 days), avg < x4"
        Timespan 15
        Jitter 1000
        Offset 1000
        GFrequency 1
        FilterFactor 4
        
        Destinations {
            File ntp1.example.net/ntpgraphs/ntp1-15f.png
            File example.net/graphs/ntp1/ntp1-15f.png
        }
        
        Links {
            Link ntpgraphs/ntp1-15f.png
            Link graphs/ntp1/ntp1-15f.png
        }
    }
    
    HostGraph offset30 {
        Frequency -1
        Title "ntp1.example.net (30 days)"
        Timespan 30
        Jitter 1000
        Offset 1000
        GFrequency 1
        
        Destinations {
            File ntp1.example.net/ntpgraphs/ntp1-30.png
            File example.net/graphs/ntp1/ntp1-30.png
        }
        
        Links {
            Link ntpgraphs/ntp1-30.png
            Link graphs/ntp1/ntp1-30.png
        }
    }
    
    HostGraph offset60 {
        Frequency -1
        Title "ntp1.example.net (60 days)"
        Timespan 60
        Jitter 1000
        Offset 1000
        GFrequency 1
        
        Destinations {
            File ntp1.example.net/ntpgraphs/ntp1-60.png
            File example.net/graphs/ntp1/ntp1-60.png
        }
        
        Links {
            Link ntpgraphs/ntp1-60.png
            Link graphs/ntp1/ntp1-60.png
        }
    }
    
    PeerGraphs offset24p {
        Frequency 15
        InitialRun Yes
        Title "24 hours offset"
        Timespan 1
        Offset 1
        
        Destinations {
            Prefix offset24-
            Directory ntp1.example.net/peergraphs/
            Directory example.net/graphs/peer1/
        }
        
        Links {
            Link peergraphs/offset24-
            Link graphs/peer1/offset24-
        }
    }
    
    PeerGraphs offset72p {
        Frequency 15
        InitialRun Yes
        Title "72 hours offset"
        Timespan 3
        Offset 1
        
        Destinations {
            Prefix offset72-
            Directory ntp1.example.net/peergraphs/
            Directory example.net/graphs/peer1/
        }
        
        Links {
            Link peergraphs/offset72-
            Link graphs/peer1/offset72-
        }
    }
    
    PeerGraphs offset15p {
        Frequency 180
        InitialRun Yes
        Title "15 days"
        Timespan 15
        Offset 1
        Jitter 1
        
        Destinations {
            Prefix offset15-
            Directory ntp1.example.net/peergraphs/
            Directory example.net/graphs/peer1/
        }
        
        Links {
            Link peergraphs/offset15-
            Link graphs/peer1/offset15-
        }
    }
    
    PeerGraphs offset15fp {
        Frequency 180
        InitialRun Yes
        Title "15 days, x10 < avg"
        Timespan 15
        Offset 1
        Jitter 1
        FilterFactor 10
        
        Destinations {
            Prefix offset15f-
            Directory ntp1.example.net/peergraphs/
            Directory example.net/graphs/peer1/
        }
        
        Links {
            Link peergraphs/offset15f-
            Link graphs/peer1/offset15f-
        }
    }
    
    PeerGraphs offset1p {
        Frequency 20
        InitialRun Yes
        Title "1 day"
        Timespan 1
        Offset 1
        Jitter 1
        
        Destinations {
            Prefix offset1-
            Directory ntp1.example.net/peergraphs/
            Directory example.net/graphs/peer1/
        }
        
        Links {
            Link peergraphs/offset1-
            Link graphs/peer1/offset1-
        }
    }
    
    PeerGraphs offset3p {
        Frequency 20
        InitialRun Yes
        Title "3 days"
        Timespan 3
        Offset 1
        Jitter 1
        
        Destinations {
            Prefix offset3-
            Directory ntp1.example.net/peergraphs/
            Directory example.net/graphs/peer1/
        }
        
        Links {
            Link peergraphs/offset3-
            Link graphs/peer1/offset3-
        }
    }
    
    PeerGraphs delayp {
        Frequency 180
        InitialRun Yes
        Title "15 days delay"
        Timespan 15
        Offset 1
        Jitter 1
        Delay 1
        
        Destinations {
            Prefix delay-
            Directory ntp1.example.net/peergraphs/
            Directory example.net/graphs/peer1/
        }
        
        Links {
            Link peergraphs/delay-
            Link graphs/peer1/delay-
        }
    }
    
    PeerGraphs delayfp {
        Frequency 180
        InitialRun Yes
        Title "15 days delay, x10 < avg"
        Timespan 15
        Offset 1
        Jitter 1
        Delay 1
        FilterFactor 10
        
        Destinations {
            Prefix delayf-
            Directory ntp1.example.net/peergraphs/
            Directory example.net/graphs/peer1/
        }
        
        Links {
            Link peergraphs/delayf-
            Link graphs/peer1/delayf-
        }
    }
    
    PeerGraphs balancep {
        Frequency 180
        InitialRun Yes
        Title "balanced offset 15 days"
        Timespan 15
        Offset 1
        Balance 1
        
        Destinations {
            Prefix balance-
            Directory ntp1.example.net/peergraphs/
            Directory example.net/graphs/peer1/
        }
        
        Links {
            Link peergraphs/balance-
            Link graphs/peer1/balance-
        }
    }
    
    PeerGraphs balancefp {
        Frequency 180
        InitialRun Yes
        Title "balanced offset 15 days, x10 < avg"
        Timespan 15
        Offset 1
        Balance 1
        FilterFactor 10
        
        Destinations {
            Prefix balancef-
            Directory ntp1.example.net/peergraphs/
            Directory example.net/graphs/peer1/
        }
        
        Links {
            Link peergraphs/balancef-
            Link graphs/peer1/balancef-
        }
    }
    
    PeerGraphs offsetp30p {
        Frequency -1
        Title "30 days offset"
        Timespan 30
        Offset 1
        Jitter 1
        
        Destinations {
            Prefix offset30-
            Directory ntp1.example.net/peergraphs/
            Directory example.net/graphs/peer1/
        }
        
        Links {
            Link peergraphs/offset30-
            Link graphs/peer1/offset30-
        }
    }
    
    PeerGraphs offsetp60p {
        Frequency -1
        Title "60 days offset"
        Timespan 60
        Offset 1
        Jitter 1
        
        Destinations {
            Prefix offset60-
            Directory ntp1.example.net/peergraphs/
            Directory example.net/graphs/peer1/
        }
        
        Links {
            Link peergraphs/offset60-
            Link graphs/peer1/offset60-
        }
    }
    
    PeerGraphs delayp30p {
        Frequency -1
        Title "30 days delay"
        Timespan 30
        Offset 1
        Jitter 1
        Delay 1
        
        Destinations {
            Prefix delay30-
            Directory ntp1.example.net/peergraphs/
            Directory example.net/graphs/peer1/
        }
        
        Links {
            Link peergraphs/delay30-
            Link graphs/peer1/delay30-
        }
    }
    
    TrafficGraph ntp1-traffic1 {
        Frequency 15
        Title "ntp1.example.net 24 hours traffic"
        Timespan 1
        Received 1
        Dropped 100
        AvgReceived 1
        
        Destinations {
            File ntp1.example.net/ntpgraphs/ntpt1-1.png
        }
        
        Links {
            Link ntpgraphs/ntpt1-1.png
        }
    }
}
